Skip to main content
Alerting & Response/Alert Routing & Policies

GetAlertAssignmentRuleConfig

Retrieve the on-call assignment configuration for a rule

GET/api/v1/alerting/assignments/rules/{ruleId}

Operation ID

GetAlertAssignmentRuleConfig

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • ruleId
    StringRequired

    Rule identifier to retrieve assignment config for

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • ruleId
    String

    Rule identifier for the assignment configuration

    Example: rule-abc123

  • enabled
    Boolean

    Whether automatic assignment is enabled

    Example: true

  • scheduleId
    String

    On-call schedule to use for assignment

    Example: sched-001

  • escalateAfterMinutes
    Integer

    Minutes before escalation to the next schedule

    Example: 30

  • escalateToScheduleId
    String

    Fallback schedule for escalation

    Example: sched-002